Tp::BaseConnectionAvatarsInterface Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
Tp::BaseConnectionAvatarsInterface Class Reference
Connection manager service implementation

Base class for implementations of Connection.Interface.Avatars. More...

`#include <TelepathyQt/BaseConnection>`

Inherits Tp::AbstractConnectionInterface.

## Public Types
typedef Callback2 < Tp::AvatarTokenMap, const Tp::UIntList &, DBusError * > | GetKnownAvatarTokensCallback
typedef Callback2< void, const Tp::UIntList &, DBusError * > | RequestAvatarsCallback
typedef Callback3< QString, const QByteArray &, const QString &, DBusError * > | SetAvatarCallback
typedef Callback1< void, DBusError * > | ClearAvatarCallback

## Public Member Functions
virtual | ~BaseConnectionAvatarsInterface ()
QVariantMap | immutableProperties () const
AvatarSpec | avatarDetails () const
void | setAvatarDetails (const AvatarSpec &spec)
void | setGetKnownAvatarTokensCallback (const GetKnownAvatarTokensCallback &cb)
Tp::AvatarTokenMap | getKnownAvatarTokens (const Tp::UIntList &contacts, DBusError *error)
void | setRequestAvatarsCallback (const RequestAvatarsCallback &cb)
void | requestAvatars (const Tp::UIntList &contacts, DBusError *error)
void | setSetAvatarCallback (const SetAvatarCallback &cb)
QString | setAvatar (const QByteArray &avatar, const QString &mimeType, DBusError *error)
void | setClearAvatarCallback (const ClearAvatarCallback &cb)
void | clearAvatar (DBusError *error)
void | avatarUpdated (uint contact, const QString &newAvatarToken)
void | avatarRetrieved (uint contact, const QString &token, const QByteArray &avatar, const QString &type)
Public Member Functions inherited from Tp::AbstractConnectionInterface
| AbstractConnectionInterface (const QString &interfaceName)
virtual | ~AbstractConnectionInterface ()
Public Member Functions inherited from Tp::AbstractDBusServiceInterface
| AbstractDBusServiceInterface (const QString &interfaceName)
virtual | ~AbstractDBusServiceInterface ()
QString | interfaceName () const
DBusObject * | dbusObject () const
bool | isRegistered () const
bool | notifyPropertyChanged (const QString &propertyName, const QVariant &propertyValue)
Public Member Functions inherited from Tp::Object
virtual | ~Object ()
Public Member Functions inherited from Tp::RefCounted
| RefCounted ()
virtual | ~RefCounted ()

## Static Public Member Functions
static BaseConnectionAvatarsInterfacePtr | create ()
template<typename BaseConnectionAvatarsInterfaceSubclass >
static SharedPtr < BaseConnectionAvatarsInterfaceSubclass > | create ()

## Protected Member Functions
| BaseConnectionAvatarsInterface ()
Protected Member Functions inherited from Tp::AbstractDBusServiceInterface
virtual bool | registerInterface (DBusObject *dbusObject)
Protected Member Functions inherited from Tp::Object
| Object ()
void | notify (const char *propertyName)

## Additional Inherited Members
Signals inherited from Tp::Object
void | propertyChanged (const QString &propertyName)

## Detailed Description

Base class for implementations of Connection.Interface.Avatars.

## Member Typedef Documentation

typedef Callback2<Tp::AvatarTokenMap, const Tp::UIntList &, DBusError*> Tp::BaseConnectionAvatarsInterface::GetKnownAvatarTokensCallback

typedef Callback2<void, const Tp::UIntList &, DBusError*> Tp::BaseConnectionAvatarsInterface::RequestAvatarsCallback

typedef Callback3<QString, const QByteArray &, const QString &, DBusError*> Tp::BaseConnectionAvatarsInterface::SetAvatarCallback

typedef Callback1<void, DBusError*> Tp::BaseConnectionAvatarsInterface::ClearAvatarCallback

## Constructor & Destructor Documentation

Tp::BaseConnectionAvatarsInterface::~BaseConnectionAvatarsInterface | ( |  | ) |
| virtual

Class destructor.

Tp::BaseConnectionAvatarsInterface::BaseConnectionAvatarsInterface | ( |  | ) |
| protected

Class constructor.

## Member Function Documentation

static BaseConnectionAvatarsInterfacePtr Tp::BaseConnectionAvatarsInterface::create | ( |  | ) |
| inlinestatic

template<typename BaseConnectionAvatarsInterfaceSubclass >

static SharedPtr<BaseConnectionAvatarsInterfaceSubclass> Tp::BaseConnectionAvatarsInterface::create | ( |  | ) |
| inlinestatic

QVariantMap Tp::BaseConnectionAvatarsInterface::immutableProperties | ( |  | ) | const
| virtual

Return the immutable properties of this interface.

Immutable properties cannot change after the interface has been registered on a service on the bus with registerInterface().

Returns
  The immutable properties of this interface.

Implements Tp::AbstractDBusServiceInterface.

AvatarSpec Tp::BaseConnectionAvatarsInterface::avatarDetails | ( |  | ) | const

void Tp::BaseConnectionAvatarsInterface::setAvatarDetails | ( | const AvatarSpec & | spec | ) |

void Tp::BaseConnectionAvatarsInterface::setGetKnownAvatarTokensCallback | ( | const GetKnownAvatarTokensCallback & | cb | ) |

Tp::AvatarTokenMap Tp::BaseConnectionAvatarsInterface::getKnownAvatarTokens | ( | const Tp::UIntList & | contacts,
|  | DBusError * | error
| ) |  |

void Tp::BaseConnectionAvatarsInterface::setRequestAvatarsCallback | ( | const RequestAvatarsCallback & | cb | ) |

void Tp::BaseConnectionAvatarsInterface::requestAvatars | ( | const Tp::UIntList & | contacts,
|  | DBusError * | error
| ) |  |

void Tp::BaseConnectionAvatarsInterface::setSetAvatarCallback | ( | const SetAvatarCallback & | cb | ) |

QString Tp::BaseConnectionAvatarsInterface::setAvatar | ( | const QByteArray & | avatar,
|  | const QString & | mimeType,
|  | DBusError * | error
| ) |  |

void Tp::BaseConnectionAvatarsInterface::setClearAvatarCallback | ( | const ClearAvatarCallback & | cb | ) |

void Tp::BaseConnectionAvatarsInterface::clearAvatar | ( | DBusError * | error | ) |

void Tp::BaseConnectionAvatarsInterface::avatarUpdated | ( | uint | contact,
|  | const QString & | newAvatarToken
| ) |  |

void Tp::BaseConnectionAvatarsInterface::avatarRetrieved | ( | uint | contact,
|  | const QString & | token,
|  | const QByteArray & | avatar,
|  | const QString & | type
| ) |  |